### org.jfree.layouting.layouter.context

# Class BackgroundSpecification

- `java.lang.Object`
- - `org.jfree.layouting.layouter.context.BackgroundSpecification`

Implemented Interfaces:
  Serializable

`public class BackgroundSpecification`
`extends java.lang.Object`
`implements Serializable`

Holds all information that make up an element background. (No borders!)

Author:
  Thomas Morgner

  ## Field Summary

  `static CSSValuePair`

  `EMPTY_BACKGROUND_REPEAT`

  ## Constructor Summary

  `BackgroundSpecification()`

  ## Method Summary

  `CSSConstant`

  `getBackgroundAttachment(int i)`

  `int`

  `getBackgroundAttachmentCount()`

  `CSSConstant`

  `getBackgroundClip(int i)`

  `int`

  `getBackgroundClipCount()`

  `Resource`

  `getBackgroundImage(int i)`

  `int`

  `getBackgroundImageCount()`

  `CSSConstant`

  `getBackgroundOrigin(int i)`

  `int`

  `getBackgroundOriginCount()`

  `CSSValuePair`

  `getBackgroundPosition(int i)`

  `int`

  `getBackgroundPositionsCount()`

  `CSSValuePair`

  `getBackgroundRepeat(int i)`

  `int`

  `getBackgroundRepeatCount()`

  `StrictDimension`

  `getBackgroundSize(int i)`

  `int`

  `getBackgroundSizesCount()`

  `void`

  `setBackgroundAttachment(int i, CSSConstant data)`

  `void`

  `setBackgroundClip(int i, CSSConstant data)`

  `void`

  `setBackgroundImage(int i, Resource data)`

  `void`

  `setBackgroundOrigin(int i, CSSConstant data)`

  `void`

  `setBackgroundPosition(int i, CSSValuePair data)`

  `void`

  `setBackgroundRepeat(int i, CSSValuePair data)`

  `void`

  `setBackgroundSizes(int i, StrictDimension data)`

## Field Details

### EMPTY_BACKGROUND_REPEAT

    public static final CSSValuePair EMPTY_BACKGROUND_REPEAT

## Constructor Details

### BackgroundSpecification

    public BackgroundSpecification()

## Method Details

### getBackgroundAttachment

    public CSSConstant getBackgroundAttachment(int i)

### getBackgroundAttachmentCount

    public int getBackgroundAttachmentCount()

### getBackgroundClip

    public CSSConstant getBackgroundClip(int i)

### getBackgroundClipCount

    public int getBackgroundClipCount()

### getBackgroundImage

    public Resource getBackgroundImage(int i)

### getBackgroundImageCount

    public int getBackgroundImageCount()

### getBackgroundOrigin

    public CSSConstant getBackgroundOrigin(int i)

### getBackgroundOriginCount

    public int getBackgroundOriginCount()

### getBackgroundPosition

    public CSSValuePair getBackgroundPosition(int i)

### getBackgroundPositionsCount

    public int getBackgroundPositionsCount()

### getBackgroundRepeat

    public CSSValuePair getBackgroundRepeat(int i)

### getBackgroundRepeatCount

    public int getBackgroundRepeatCount()

### getBackgroundSize

    public StrictDimension getBackgroundSize(int i)

### getBackgroundSizesCount

    public int getBackgroundSizesCount()

### setBackgroundAttachment

    public void setBackgroundAttachment(int i,
                                        CSSConstant data)

### setBackgroundClip

    public void setBackgroundClip(int i,
                                  CSSConstant data)

### setBackgroundImage

    public void setBackgroundImage(int i,
                                   Resource data)

### setBackgroundOrigin

    public void setBackgroundOrigin(int i,
                                    CSSConstant data)

### setBackgroundPosition

    public void setBackgroundPosition(int i,
                                      CSSValuePair data)

### setBackgroundRepeat

    public void setBackgroundRepeat(int i,
                                    CSSValuePair data)

### setBackgroundSizes

    public void setBackgroundSizes(int i,
                                   StrictDimension data)